sasl_getopt_t(10 July 2001)

NAME
sasl_getopt_t - The SASL get option callback

SYNOPSIS
#include <sasl/sasl.h>

int sasl_getopt_t(void *context,
		     const char *plugin_name,
		     const char *option,
		     const char ** result,
		     unsigned * len);

DESCRIPTION
sasl_getopt_t is used to retrieve an option, often mechanism specific, from the application. An example of this is requested what KERBEROS_V4 srvtab file to use. plugin_name is the plugin this value if for. option is a string representing the option. A common option that all server applications should handle is method for checking plaintext passwords. See the administrators guide for a full description of this option.

Memory management of options supplied by the getopt callback should be done by the application, however, any requested option must remain available until the callback is no longer valid. That is, when sasl_dispose is called for a the connection it is associated with, or sasl_done is called for global callbacks.

RETURN VALUE
SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3), sasl_callbacks(3), sasl_errors(3)